io.agora.rtc

## Enum Constants.ClientRoleType

- java.lang.Object
- - java.lang.Enum<Constants.ClientRoleType>
  - - io.agora.rtc.Constants.ClientRoleType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.ClientRoleType>
  Enclosing class:
    Constants

      static enum Constants.ClientRoleType
      extends java.lang.Enum<Constants.ClientRoleType>

  User role types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT_ROLE_AUDIENCE` 2: Audience.
    `CLIENT_ROLE_BROADCASTER` 1: Broadcaster.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.ClientRoleType` | `fromInt(int value)` Converts an integer value to its corresponding ClientRoleType enum constant.
    `int` | `getValue()` Gets the integer value of the client role type.
    `static Constants.ClientRoleType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.ClientRoleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLIENT_ROLE_BROADCASTER

          public static final Constants.ClientRoleType CLIENT_ROLE_BROADCASTER

      1: Broadcaster. A broadcaster can both send and receive streams.

    - #### CLIENT_ROLE_AUDIENCE

          public static final Constants.ClientRoleType CLIENT_ROLE_AUDIENCE

      2: Audience. An audience member can only receive streams.

  - ### Field Detail

    - #### value

          private final int value

  - ### Method Detail

    - #### values

          public static Constants.ClientRoleType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.ClientRoleType c : Constants.ClientRoleType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.ClientRoleType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the client role type.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.ClientRoleType fromInt(int value)

      Converts an integer value to its corresponding ClientRoleType enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding ClientRoleType, or null if the value is not found.